org.deidentifier.arx.io

## Class ImportColumn

- java.lang.Object
- - org.deidentifier.arx.io.ImportColumn

Direct Known Subclasses:
  ImportColumnIndexed, ImportColumnJDBC

    public abstract class ImportColumn
    extends java.lang.Object

Represents a single data column This represents a single column that will be imported from. Each column at least consists of an `aliasName` and `dataType`.

Author:
  Karol Babioch, Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`ImportColumn(java.lang.String aliasName, DataType<?> dataType)` Creates a new instance of this object with the given parameters.
`ImportColumn(java.lang.String aliasName, DataType<?> dataType, boolean cleansing)` Creates a new instance of this object with the given parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAliasName()` Gets the alias name.
`DataType<?>` `getDataType()` Gets the data type.
`boolean` `isCleansing()` Should non-matching values be replaced with NULL values.
`void` `setAliasName(java.lang.String aliasName)` Sets the alias name.
`void` `setCleansing(boolean cleansing)` Should we perform cleansing
`void` `setDataType(DataType<?> dataType)` Sets the data type.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImportColumn

    public ImportColumn(java.lang.String aliasName,
                        DataType<?> dataType)

Creates a new instance of this object with the given parameters.

Parameters:
  `aliasName` - `aliasName`
  `dataType` - `dataType`

#### ImportColumn

    public ImportColumn(java.lang.String aliasName,
                        DataType<?> dataType,
                        boolean cleansing)

Creates a new instance of this object with the given parameters.

Parameters:
  `aliasName` - `aliasName`
  `dataType` - `dataType`
  `cleansing` - the cleansing

### Method Detail

#### getAliasName

    public java.lang.String getAliasName()

Gets the alias name.

Returns:
  `aliasName`

#### getDataType

    public DataType<?> getDataType()

Gets the data type.

Returns:
  `dataType`

#### isCleansing

    public boolean isCleansing()

Should non-matching values be replaced with NULL values.

Returns:
  true, if cleansing is enabled

#### setAliasName

    public void setAliasName(java.lang.String aliasName)

Sets the alias name.

Parameters:
  `aliasName` - `aliasName`

#### setCleansing

    public void setCleansing(boolean cleansing)

Should we perform cleansing

Parameters:
  `cleansing` -

#### setDataType

    public void setDataType(DataType<?> dataType)

Sets the data type.

Parameters:
  `dataType` - `dataType`